Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.timers
Class RandomTimer

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.timers.ConstantTimer
              org.apache.jmeter.timers.RandomTimer

All Implemented Interfaces:
  Cloneable, LoopIterationListener, Serializable, TestElement, Timer

Direct Known Subclasses:
  GaussianRandomTimer, UniformRandomTimer

public abstract class RandomTimer
extends ConstantTimer
implements Timer, Serializable

This class implements a random timer with its own panel and fields for value update and user interaction. Since this class does not define the delay() method, is abstract and must be extended to provide full functionality.

See Also:
  Serialized Form

Field Summary
`protected Random` | `random`
`static String` | `RANGE`

Fields inherited from class org.apache.jmeter.timers.ConstantTimer
`DELAY`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`RandomTimer()` No-arg constructor.

Method Summary
`double` | `getRange()` Get the range value.
`void` | `setRange(double range)` Set the range value.
`void` | `setRange(String range)`

Methods inherited from class org.apache.jmeter.timers.ConstantTimer
`delay, getDelay, iterationStart, setDelay, toString`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.timers.Timer
`delay`

Field Detail

### RANGE

    public static final String RANGE

See Also:
  Constant Field Values

### random

    protected Random random

Constructor Detail

### RandomTimer

    public RandomTimer()

  No-arg constructor.

Method Detail

### setRange

    public void setRange(double range)

  Set the range value.

  Overrides:
    `setRange` in class `ConstantTimer`

### setRange

    public void setRange(String range)

### getRange

    public double getRange()

  Get the range value.

  Overrides:
    `getRange` in class `ConstantTimer`
  Returns:
    double

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.